using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            char[] c= Console.ReadLine().ToCharArray();
            string[] st = Console.ReadLine().Split();
            int a1 = int.Parse(st[0]), a2 = int.Parse(st[1]);
            if (Math.Abs(a1 - a2) > 1) Console.WriteLine("nemoguce");
            else if (a1 > a2) for (int i = 0; i < a1 + a2; i++) 
                {
                    if (i % 2 == 0) Console.Write(c[0]);
                    else Console.Write(c[1]);
                }
            else for (int i = 0; i < a1 + a2; i++)
                {
                    if (i % 2 == 0) Console.Write(c[1]);
                    else Console.Write(c[0]);
                }
            Console.ReadLine();
        }
    }
}